From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/pyblake2/
Date: Thu, 29 Mar 2018 06:55:56 +0000 (UTC) [thread overview]
Message-ID: <1522306551.b06e56c13ad628b1910ac94387a202df23595532.mgorny@gentoo> (raw)
commit: b06e56c13ad628b1910ac94387a202df23595532
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Thu Mar 29 06:55:14 2018 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu Mar 29 06:55:51 2018 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b06e56c1
dev-python/pyblake2: Bump to 1.1.1, now with pypy3 support
dev-python/pyblake2/Manifest | 1 +
dev-python/pyblake2/pyblake2-1.1.1.ebuild | 22 ++++++++++++++++++++++
2 files changed, 23 insertions(+)
diff --git a/dev-python/pyblake2/Manifest b/dev-python/pyblake2/Manifest
index 28d0d589157..dc51d3bdacd 100644
--- a/dev-python/pyblake2/Manifest
+++ b/dev-python/pyblake2/Manifest
@@ -1 +1,2 @@
DIST pyblake2-1.1.0.tar.gz 125855 BLAKE2B 46af4c24882040bbdd221f90e06652918798e4555c0a7307a596ca4c9ed3147f00297269a44d174782c2b0402eac03ecf5387b1c5a16efb57d036730b58b2630 SHA512 e13c7e4f3a35155cbf531e337895349ec01f0ac36908a4e746cecec063601adfc8a73a7961a9c310d01d3231f44f08d2cc92e891e9cb87659bc7170b9fee6102
+DIST pyblake2-1.1.1.tar.gz 126441 BLAKE2B cb1f1872e1d6122419e7732114da28162af5e483db56e073d3cc4019f073813af747d56ca4f4a992cf6586d12662f3b1d4b68d04eaea91b4f90de58a9c1f4799 SHA512 a876255d0072226c4a2936a9e88297dc8c39195f423fea6624e6ffd610ffc58d07e939db942d0198d6e5a1f1afc892103c507f226787529d341ae40e9926bcac
diff --git a/dev-python/pyblake2/pyblake2-1.1.1.ebuild b/dev-python/pyblake2/pyblake2-1.1.1.ebuild
new file mode 100644
index 00000000000..1c7cc912307
--- /dev/null
+++ b/dev-python/pyblake2/pyblake2-1.1.1.ebuild
@@ -0,0 +1,22 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python{2_7,3_4,3_5,3_6} pypy{,3} )
+inherit distutils-r1
+
+DESCRIPTION="BLAKE2 hash function extension module"
+HOMEPAGE="https://github.com/dchest/pyblake2 https://pypi.python.org/pypi/pyblake2"
+SRC_URI="mirror://pypi/${PN::1}/${PN}/${P}.tar.gz"
+
+# pyblake2 itself allows more licenses but blake2 allows the following three
+LICENSE="|| ( CC0-1.0 openssl Apache-2.0 )"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86 ~x64-cygwin ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
+
+python_test() {
+ "${EPYTHON}" test/test.py || die "Tests fail with ${EPYTHON}"
+}
next reply other threads:[~2018-03-29 6:56 UTC|newest]
Thread overview: 56+ messages / expand[flat|nested] mbox.gz Atom feed top
2018-03-29 6:55 Michał Górny [this message]
-- strict thread matches above, loose matches on Subject: below --
2020-07-25 8:31 [gentoo-commits] repo/gentoo:master commit in: dev-python/pyblake2/ Michał Górny
2018-09-16 8:13 Mikle Kolyada
2018-09-06 21:22 Michał Górny
2018-07-18 21:48 Michał Górny
2018-06-19 14:32 Tobias Klausmann
2018-06-03 9:49 Mikle Kolyada
2018-05-31 22:02 Mikle Kolyada
2018-05-31 8:13 Sergei Trofimovich
2018-05-30 16:30 Markus Meier
2018-05-28 11:58 Mart Raudsepp
2018-05-28 7:06 Sergei Trofimovich
2018-05-27 20:06 Mikle Kolyada
2018-05-27 13:01 Thomas Deutschmann
2018-05-27 9:03 Michał Górny
2018-04-12 19:12 Michał Górny
2018-03-26 16:14 Michał Górny
2018-03-01 20:02 Mart Raudsepp
2018-01-29 8:22 Tobias Klausmann
2018-01-22 16:08 Michael Haubenwallner
2018-01-18 19:03 Markus Meier
2018-01-17 6:42 Thomas Deutschmann
2018-01-02 6:19 Michał Górny
2017-12-27 15:26 Mike Gilbert
2017-12-23 19:53 Sergei Trofimovich
2017-12-22 5:20 Markus Meier
2017-12-21 16:03 Michael Haubenwallner
2017-12-14 20:19 Sergei Trofimovich
2017-12-14 20:00 Sergei Trofimovich
2017-12-13 19:53 Sergei Trofimovich
2017-12-13 15:06 Mike Gilbert
2017-11-27 22:19 James Le Cuirot
2017-11-24 17:54 Michał Górny
2017-11-22 17:29 Michał Górny
2017-11-22 16:49 Michał Górny
2017-11-22 13:21 Michał Górny
2017-11-15 19:21 Matt Turner
2017-11-15 7:34 Sergei Trofimovich
2017-11-15 7:34 Sergei Trofimovich
2017-11-15 7:34 Sergei Trofimovich
2017-11-14 21:44 Thomas Deutschmann
2017-11-14 12:42 Manuel Rüger
2017-11-14 9:00 Sergei Trofimovich
2017-11-13 22:17 Robin H. Johnson
2017-11-13 19:42 Michał Górny
2017-11-10 1:08 Matt Turner
2017-10-25 17:55 Fabian Groffen
2017-10-24 17:34 Mike Gilbert
2017-10-22 9:34 Fabian Groffen
2017-10-21 12:51 Sergei Trofimovich
2017-10-21 11:49 Fabian Groffen
2017-10-21 8:59 Sergei Trofimovich
2017-10-21 8:35 Michał Górny
2017-10-21 8:29 Michał Górny
2017-10-20 23:44 Michał Górny
2017-10-20 23:44 Michał Górny
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1522306551.b06e56c13ad628b1910ac94387a202df23595532.mgorny@gentoo \
--to=mgorny@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox